

android.action = {};

android.action.manageBadHeight = function(){
    var htmlTag = android.selection.getReadiumFrame().contentWindow.document.getElementsByTagName("html")[0];
    var body = android.selection.getReadiumFrame().contentDocument.body;
    var htmlHeight = android.action.getStyles(htmlTag, "height");
    var bodyHeight = android.action.getStyles(body, "height");

    if(htmlHeight != bodyHeight) {
        htmlTag.style.overflow = "auto";
        body.style.height = "100%";
        body.style.overflow = "auto";
    }
}

android.action.manageScrollHeightChange = function(){
    var iframe = android.selection.getReadiumFrame();
    var iframeWindows = iframe.contentWindow || iframe.contentDocument.parentWindow;
    iframe.style.height = (iframeWindows.document.documentElement.scrollHeight || iframeWindows.document.body.scrollHeight) + "px";
    android.action.loopScrollManager();
}

android.action.loopScrollManager = function(){
    setTimeout(function () {
        android.action.manageScrollHeightChange();
    }, 100);
}

android.action.getStyles = function(element,styleProp){
    if (element.currentStyle)
        var result = element.currentStyle[styleProp];
    else if (window.getComputedStyle)
        var result = document.defaultView.getComputedStyle(element,null).getPropertyValue(styleProp);
    return result;
}

android.action.custommenuCodeReceiver = function(code){
    android.selection.getReadiumFrame().contentWindow.custommenu.codeReceiver(code);
}