/*
 Copyright (c) 2012 Publiwide
http://www.publiwide.com

Authors: Alexandru Popa, alexandru.popa@publiwide.com
*/

var view =
{
	currentURL: null,
	anchorToJumpTo: null,
	anchorPerc: 0,
	uidTags: null,
	element: null,
	section: null,
	toScroll: null,
	lastScrolled: new Date(),
	updateCount: 0,
	contextMenu: null,
	isLoading: false,
	svgPrev: null,
	svgNext: null,
	tool: 0, // 0 - none, 1 - highlight, 2 - note
	toolOption: 0,
	btnHighlight: null,
	btnSVGHighlight: null,
	btnNote: null,
	penTool: null,

	init: function()
	{
	},
	getSVGBBox: function(tag, start, end)
	{
		var bbox = tag.getBoundingClientRect();
		var rect = new Object();
		if (bbox.left > 0 || bbox.top > 0 || bbox.width > 0 || bbox.height > 0)
		{
			var b = highlight.getReadiumFrame().contentWindow.document.body;
			var svg = b.getElementsByTagName('svg')[0];
			var pt = svg.createSVGPoint();
			var screenToSVG = svg.getScreenCTM().inverse();

			pt.x = bbox.left;
			pt.y = bbox.top;
			var xy = pt.matrixTransform(screenToSVG);
			rect.left = xy.x;
			rect.top = xy.y;
			pt.x = bbox.right;
			pt.y = bbox.bottom;
			var xy2 = pt.matrixTransform(screenToSVG);
			rect.width = xy2.x - xy.x;
			rect.height = xy2.y - xy.y;
		}
		else
		{
			rect.left = tag.offsetLeft;
			rect.top = tag.offsetTop;
			rect.width = tag.offsetWidth;
			rect.height = tag.offsetHeight;
		}

		var tagWithX = tag;
		var k = 3;
		while (tagWithX.getAttribute('x') == null && tagWithX.parentNode != null && k-- > 0)
			tagWithX = tagWithX.parentNode;
		var tagWithY = tag;
		k = 3;
		while (tagWithY.getAttribute('y') == null && tagWithY.parentNode != null && k-- > 0)
			tagWithY = tagWithY.parentNode;

		if (tagWithX.getAttribute('x') != null)
			rect.left = parseFloat(tagWithX.getAttribute('x'));
		if (tagWithY.getAttribute('y') != null && tag.offsetHeight > 0)
			rect.top = parseFloat(tagWithY.getAttribute('y')) - tag.offsetHeight + tag.offsetHeight * 0.1;

		if (start != null && end != null && tag.attributes != null && tag.attributes['x'] != null)
		{
			var Xs = tag.attributes['x'].value.split(' ');
			var c = 0;
			Xs[0] = parseFloat(Xs[0]);
			for (var i = 1; i < Xs.length; i++)
			{
				Xs[i] = parseFloat(Xs[i]);
				c += Xs[i] - Xs[i - 1];
			}
			var med = c / (Xs.length - 1);
			if (Xs.length > end)
			{
				var s = Xs[0];
				rect.left += Xs[start] - s;
				if (end < Xs.length - 1)
					rect.width = Xs[end + 1] - Xs[start];
				else
					rect.width = Xs[end] + med - Xs[start];
			}
		}

		//rect.left += 2;
		rect.top += 2;
		return rect;
	}
};